Loading...
Searching...
No Matches
ASSA::DiagnosticContext Class Reference

Class DiagnosticContext tracks who deep a function is in the calling stack. More...

`#include <Logger.h>`

## Public Member Functions

| DiagnosticContext (const char *fn_, u_long mask_=TRACE)
| ~DiagnosticContext ()

## Private Member Functions

| DiagnosticContext (const DiagnosticContext &)
DiagnosticContext & | operator= (const DiagnosticContext &)

## Private Attributes

const char * | m_fname
u_long | m_mask

## Detailed Description

Class DiagnosticContext tracks who deep a function is in the calling stack.

Definition at line 379 of file Logger.h.

## Constructor & Destructor Documentation

## DiagnosticContext() [1/2]

ASSA::DiagnosticContext::DiagnosticContext | ( | const char * | fn_,
|  | u_long | mask_ = TRACE )

inline

Definition at line 395 of file Logger.h.

: m_fname (fn_), m_mask (mask_)
{
if (LOGGER->group_enabled ((ASSA::Group) m_mask)) {
LOGGER->sign_on (m_fname);
LOGGER->log_func (m_mask, FUNC_ENTRY);
}
}
LOGGER
#define LOGGER
A shortcut to locate a singleton object of class Logger.
Definition Logger.h:136
ASSA::DiagnosticContext::m_fname
const char * m_fname
Definition Logger.h:390
ASSA::DiagnosticContext::m_mask
u_long m_mask
Definition Logger.h:391
ASSA::FUNC_ENTRY
@ FUNC_ENTRY
Definition LogMask.h:69
ASSA::Group
Group
Definition LogMask.h:25

References LOGGER, m_fname, and m_mask.

Referenced by DiagnosticContext(), and operator=().

## ~DiagnosticContext()

ASSA::DiagnosticContext::~DiagnosticContext | ( |  | ) |

inline

Definition at line 406 of file Logger.h.

{
if (LOGGER->group_enabled ((ASSA::Group) m_mask)) {
LOGGER->log_func (m_mask, FUNC_EXIT);
LOGGER->sign_off ();
}
}
ASSA::FUNC_EXIT
@ FUNC_EXIT
Definition LogMask.h:70

References ASSA::FUNC_EXIT, LOGGER, and m_mask.

## DiagnosticContext() [2/2]

ASSA::DiagnosticContext::DiagnosticContext | ( | const DiagnosticContext & |  | ) |

private

References DiagnosticContext().

## Member Function Documentation

## operator=()

DiagnosticContext & ASSA::DiagnosticContext::operator= | ( | const DiagnosticContext & |  | ) |

private

References DiagnosticContext().

## Member Data Documentation

## m_fname

const char* ASSA::DiagnosticContext::m_fname

private

Definition at line 390 of file Logger.h.

Referenced by DiagnosticContext().

## m_mask

u_long ASSA::DiagnosticContext::m_mask

private

Definition at line 391 of file Logger.h.

Referenced by DiagnosticContext(), and ~DiagnosticContext().

The documentation for this class was generated from the following file:

- Logger.h